function [retPopulation] = newPopulation(population,domain)
	#Defining the parameters
	SELECTPERCENT = 0.8;
	populationSize = length(population);
	elitePopulationSize = ceil(populationSize*(1-SELECTPERCENT));
	children = selectedPopulation(population,SELECTPERCENT);
	eliteChildren = elitePopulation(population, elitePopulationSize);
	i = 1;
	for i = 1:populationSize*SELECTPERCENT
			newPop(i).chromossome = children(i).chromossome;
			newPop(i).fitness = children(i).fitness;
	
	endfor;
	i+=1;
	for j = 1:elitePopulationSize
		newPop(i).chromossome = eliteChildren(j).chromossome;
		newPop(i).fitness = eliteChildren(j).fitness; 
		i+=1;
	endfor;
	for i = 1:length(newPop)
		newPop(i) = mutateElement(newPop(i),domain);
		newPop(i).fitness = evaluateElement(newPop(i).chromossome);
	endfor;
	retPopulation = newPop;
endfunction 