function [bestPosition] = tabuSearch(domain,neighborDistance)
element.coordinates = generateRandomCoordinates(domain);
element.value = func(element.coordinates);
tabooList = [];
do 
	neighbors = getNeighborhood(element.coordinates,neighborDistance,domain);
	for i = 1:length(neighbors)
		lastValue = element.value;
		if ~ismember([neighbors(i).coordinates],tabooList)
			neighbors(i).value = func(neighbors(i).coordinates);
			tabooList = [tabooList,neighbors(i).coordinates];	
			if(neighbors(i).value < element.value)
				element.coordinates = neighbors(i).coordinates;
				element.value = neighbors(i).value;
			endif;
		endif;
	endfor;
until element.value != lastValue;
bestPosition = element.coordinates;
endfunction
