function [selPopulation] = selectedPopulation(population, selectPercentage,domain)
	lowestPosition = 1;
	fitnessSum = 0;
	populationSize = length(population);
	lowestValue = population(1).fitness;
	lowestPosition = 1;
	for i = 1:populationSize
		if(population(i).fitness < lowestValue)
			lowestValue = population(i).fitness;
			lowestPosition = i;
		endif;
	endfor;
	for i = 1:populationSize
		population(i).fitness += lowestValue+1;
		fitnessSum += population(i).fitness;
	endfor;
	#Selection
	#Getting the probability of each one to be chosen
	probability = zeros(1,populationSize);
	probability(1) = population(1).fitness/fitnessSum;
	for i = 2:populationSize
		probability(i) = population(i).fitness/fitnessSum;
		probability(i) += probability(i-1);
	endfor;
	#Choosing the elements to be selected

	for i = 1:2:populationSize*selectPercentage
		for k = 1:2
			selectedNumber = rand();
			if(selectedNumber<=probability(1))
				parent(k) = population(1);
			else
				for j = 2:populationSize
					if probability(j-1) < selectedNumber && selectedNumber <= probability(j)
						parent(k) = population(j);
						break;
					endif;	
				endfor;
			endif;
		endfor;
		[children(1),children(2)] = uniformCrossover(parent(1),parent(2));
		if i < floor(populationSize*selectPercentage)
			selPopulation(i) = children(1);
			selPopulation(i+1) = children(2); 
		else
			selPopulation(i) = children(1);
		endif;	
	endfor;
endfunction;