function [coodinates] = hillClimbingRandom(domain, neighboorDistance, iterations)
coordinates = hillClimbing(domain, neighboorDistance);
initialValue = func(coordinates);
value = initialValue;
for i = 1:iterations
	neighCoordinates = hillClimbing(domain, neighboorDistance);
	neighValue = func(neighCoordinates);
	if neighValue < value
		value = neighValue;
		coodinates = neighCoordinates; 
	endif
endfor

endfunction
